dictator = {}
dictator.__index = dictator

function dictator.init(org_id, request_id)
    local object = {
        request_id = request_id,
        org_id = org_id,
        resolved = false
    }

    setmetatable(object, dictator)

    return object

end

function dictator:decide(ruling)
    local org = modpol.orgs.get_org(self.org_id)
    print(org.name)
    if ruling then
        local req = org.requests[self.request_id]
        print(self.request_id)
        for k, v in ipairs(org.requests) do print(k, v) end
        print(req)
        print(req.type)
        if req.type == 'add_org' then
            org:add_org(req.params[1])
        elseif req.type == 'delete' then
            org:delete()
        elseif req.type == 'add_member' then
            org:add_member(req.params[1])
        elseif req.type == 'remove_member' then
            org:remove_member(req.params[1])
        end

    end
    
    org.requests[self.request_id] = nil
end